%define upstream_name    Test-Prereq
%define upstream_version 2.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check if Makefile.PL has the right pre-requisites
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Extract::Use)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(feature)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
The prereq_ok() function examines the modules it finds in blib/lib/,
blib/script, and the test files it finds in t/ (and test.pl). It figures out
which modules they use, skips the modules that are in the Perl core, and
compares the remaining list of modules to those in the PREREQ_PM section of
Makefile.PL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
# this test rely on network to fetch data from CPAN
rm -f t/get_from_prereqs.t
perl -pi -e 's/get_from_prereqs.t//' t/test_manifest
%make_build test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Fri Jan 24 2025 tv <tv> 2.5.0-1.mga10
+ Revision: 2141963
- update to 2.005

* Mon Mar 21 2022 umeabot <umeabot> 2.3.0-3.mga9
+ Revision: 1812170
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 2.3.0-2.mga8
+ Revision: 1541251
- Mageia 8 Mass Rebuild

* Sun Dec 22 2019 tv <tv> 2.3.0-1.mga8
+ Revision: 1469395
- update to 2.003

* Thu Sep 20 2018 umeabot <umeabot> 2.2.0-3.mga7
+ Revision: 1286728
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.2.0-2.mga7
+ Revision: 1166882
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 2.2.0-1.mga7
+ Revision: 1141525
- update to 2.002

* Sun Jun 19 2016 pterjan <pterjan> 1.39.0-3.mga6
+ Revision: 1034563
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.39.0-2.mga6
+ Revision: 969191
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.39.0-1.mga6
+ Revision: 864446
- update to 1.039

* Sun Oct 19 2014 umeabot <umeabot> 1.38.0-4.mga5
+ Revision: 790261
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.38.0-3.mga5
+ Revision: 741690
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.38.0-2.mga5
+ Revision: 686520
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.38.0-1.mga5
+ Revision: 588724
- update to 1.038

* Fri Oct 18 2013 umeabot <umeabot> 1.37.0-5.mga4
+ Revision: 515349
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.37.0-4.mga3
+ Revision: 373706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.37.0-3.mga1
+ Revision: 32455
- mageia rebuild
- imported package perl-Test-Prereq

